### Method

# GLib OptionContext get_help_enabled

since: 2.6

#### Declaration

    gboolean
    g_option_context_get_help_enabled (
      GOptionContext* context
    )

#### Description

Returns whether automatic `--help` generation is turned on for `context`. See g_option_context_set_help_enabled().

Available since: 2.6

#### Return value

Type: `gboolean`

`TRUE` if automatic help generation is turned on.